Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfAcceptanceStateType

    java.lang.Object
      java.lang.Enum<OdfAcceptanceStateType>
          org.odftoolkit.odfdom.dom.type.table.OdfAcceptanceStateType

All Implemented Interfaces:
  Serializable, Comparable<OdfAcceptanceStateType>

    public enum OdfAcceptanceStateType

extends Enum<OdfAcceptanceStateType>

DOM implementation of OpenDocument attribute table:acceptance-state.

Enum Constant Summary
`ACCEPTED`
`PENDING`
`REJECTED`

Method Summary
`static OdfAcceptanceStateType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAcceptanceStateType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAcceptanceStateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAcceptanceStateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final OdfAcceptanceStateType PENDING

### REJECTED

    public static final OdfAcceptanceStateType REJECTED

### ACCEPTED

    public static final OdfAcceptanceStateType ACCEPTED

Method Detail

### values

    public static OdfAcceptanceStateType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAcceptanceStateType c : OdfAcceptanceStateType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAcceptanceStateType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAcceptanceStateType>`
  Returns:
    return the name of OdfAcceptanceStateType

### toString

    public static String toString(OdfAcceptanceStateType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAcceptanceStateType, see table:acceptance-state
  Returns:
    return the name of OdfAcceptanceStateType

### enumValueOf

    public static OdfAcceptanceStateType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAcceptanceStateType
  Returns:
    return the constant of OdfAcceptanceStateType, see table:acceptance-state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.